.formulario-container {
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    margin: 20px;
    padding: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    
}

.formulario {
    background-color: #fff;
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.1);
    padding: 30px;
    margin-top: auto;
    width: 400px;
    border-radius: 10px;
    text-align: center;
    
}

.formulario h2 {
    color: #333;
    margin-bottom: 20px;
}

.formulario label {
    display: block;
    margin: 15px 0 5px;
    font-weight: bold;
    color: #555;
}

.formulario input,
.formulario select {
    width: 100%;
    padding: 10px;
    margin-bottom: 15px;
    box-sizing: border-box;
    border: 1px solid #ccc;
    border-radius: 5px;
    font-size: 16px;
}

.formulario button {
    background-color: #51d156;
    color: #fff;
    padding: 12px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    font-size: 16px;
    transition: background-color 0.3s ease;
    width: 10vw;
    flex: 1; /* Ocupa todo el espacio disponible dentro del contenedor */
    margin-right: 8px;
}

  
  .formulario .cancel-button {
    background-color: #e74c3c;
     /* Color de fondo para el botón de cancelar */
  }

.formulario .campo-dividido {
    display: flex;
    justify-content: space-between;
}

.formulario .campo-dividido div {
    width: 48%;
}

.formulario .campo-dividido label {
    margin: 0;
}

.ocultar {
    display: none;
}

.mostrar {
    display: block;
}

.error-message {
    color: red;
  }

  .required {
    color: red;
    margin-left: 3px; 
  }